CifScanner Class Reference

Private class that represents a CIF scanner. More...

`#include <CifScannerBase.h>`

Inheritance diagram for CifScanner:
Collaboration diagram for CifScanner:

## Public Member Functions

| CifScanner (std::istream *yyin)
| CifScanner ()
int | ProcessNone ()
void | ProcessWhiteSpace ()
int | ProcessData ()
int | ProcessLoopScanner ()
void | ProcessStop ()
int | ProcessDot ()
int | ProcessQuestion ()
void | ProcessComment ()
int | ProcessUnderscore ()
int | ProcessBadStrings ()
int | ProcessSQuotedStrings ()
int | ProcessDQuotedStrings ()
int | ProcessEof ()
void | Clear ()
void | Reset ()
virtual int | yylex ()
virtual | ~CifScanner ()

## Public Attributes

int | NDBlineNo

## Protected Member Functions

void | alt_yymore (void)
void | OpenLog (const std::string &logName, bool verboseLevel)

## Protected Attributes

std::string * | _tBuf
int | _isText
int | _i
int | _j
int | _len
std::ofstream | log
std::string | errorLog
bool | _verbose

## Detailed Description

Private class that represents a CIF scanner.

## Constructor & Destructor Documentation

## CifScanner() [1/2]

CifScanner::CifScanner | ( | std::istream * | yyin | ) |

## CifScanner() [2/2]

CifScanner::CifScanner | ( |  | ) |

## ~CifScanner()

virtual CifScanner::~CifScanner | ( |  | ) |

inline virtual

References Reset().

## Member Function Documentation

## alt_yymore()

void CifScanner::alt_yymore | ( | void |  | ) |

protected

## Clear()

void CifScanner::Clear | ( |  | ) |

## OpenLog()

void CifScanner::OpenLog | ( | const std::string & | logName,
|  | bool | verboseLevel )

protected

## ProcessBadStrings()

int CifScanner::ProcessBadStrings | ( |  | ) |

## ProcessComment()

void CifScanner::ProcessComment | ( |  | ) |

## ProcessData()

int CifScanner::ProcessData | ( |  | ) |

## ProcessDot()

int CifScanner::ProcessDot | ( |  | ) |

## ProcessDQuotedStrings()

int CifScanner::ProcessDQuotedStrings | ( |  | ) |

## ProcessEof()

int CifScanner::ProcessEof | ( |  | ) |

## ProcessLoopScanner()

int CifScanner::ProcessLoopScanner | ( |  | ) |

## ProcessNone()

int CifScanner::ProcessNone | ( |  | ) |

## ProcessQuestion()

int CifScanner::ProcessQuestion | ( |  | ) |

## ProcessSQuotedStrings()

int CifScanner::ProcessSQuotedStrings | ( |  | ) |

## ProcessStop()

void CifScanner::ProcessStop | ( |  | ) |

## ProcessUnderscore()

int CifScanner::ProcessUnderscore | ( |  | ) |

## ProcessWhiteSpace()

void CifScanner::ProcessWhiteSpace | ( |  | ) |

## Reset()

void CifScanner::Reset | ( |  | ) |

Referenced by ~CifScanner().

## yylex()

virtual int CifScanner::yylex | ( |  | ) |

virtual

## Member Data Documentation

## _i

int CifScanner::_i

protected

## _isText

int CifScanner::_isText

protected

## _j

int CifScanner::_j

protected

## _len

int CifScanner::_len

protected

## _tBuf

std::string* CifScanner::_tBuf

protected

## _verbose

bool CifScanner::_verbose

protected

## errorLog

std::string CifScanner::errorLog

protected

## log

std::ofstream CifScanner::log

protected

## NDBlineNo

int CifScanner::NDBlineNo

The documentation for this class was generated from the following file:

- rcsb/CifScannerBase.h